with GNATCOM.Dispinterface;

package MSHTML.IHTMLButtonElement_Interface is

   type IHTMLButtonElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLButtonElement_Type);

   function Pointer (This : IHTMLButtonElement_Type)
     return Pointer_To_IHTMLButtonElement;

   procedure Attach (This    : in out IHTMLButtonElement_Type;
                     Pointer : in     Pointer_To_IHTMLButtonElement);

   function Get_type
     (This : IHTMLButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_value
     (This : IHTMLButtonElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLButtonElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_status
     (This : IHTMLButtonElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_status
     (This : IHTMLButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : IHTMLButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_form
     (This : IHTMLButtonElement_Type)
     return Pointer_To_IHTMLFormElement;

   function createTextRange
     (This   : IHTMLButtonElement_Type)
     return Pointer_To_IHTMLTxtRange;

end MSHTML.IHTMLButtonElement_Interface;

